#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - pre-installation script
#
# Copyright (c) 2012-2017 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation   :  2012-05-30 jed
# Last update:  $Id: preinstall.sh 30954 2012-05-30 20:49:53Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set packages name
package_name=libespeak

# ---------------------------------------------------------------------------
# Delete NOT allowed OLD deinstall scripts
# ---------------------------------------------------------------------------
deinstall_txt="THIS PACKAGE IS PART OF THE SYSTEM!"
deinstall_file="/var/install/deinstall/${package_name}"

if [ -f ${deinstall_file} ]
then
    if grep -q "${deinstall_txt}" ${deinstall_file}
    then
        rm -f ${deinstall_file}

        lib_names="libsrs2"

        for LNAME in ${lib_names}
        do
            # ----------------------------------------------------------------
            # remove links and libs for the same older versions
            # ----------------------------------------------------------------
            rm -f /usr/lib/${LNAME}.so.*
        done
    else
        /var/install/bin/del-package ${package_name} --update
    fi
fi

# ----------------------------------------------------------------------------
# end
# ----------------------------------------------------------------------------
exit 0
